#ifndef SPLASHMODEL_H
#define SPLASHMODEL_H

#include <QAbstractListModel>
#include "../loader.h"

class SplashModel : public QAbstractListModel
{
    Q_OBJECT
public:
    explicit SplashModel(QList <tbSplash> splashes, QObject *parent = 0);
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant data(const QModelIndex &index, int role) const;
    void refresh(QList <tbSplash> splashes);

signals:

public slots:
private:
    QList <tbSplash> splashes;
};

#endif // SPLASHMODEL_H
